bound_type< T >

## Public Member Functions

| bound_type ()
void | update (const point_basic< T > &x, const T &u)

## Public Attributes

point_basic< T > | xmin
point_basic< T > | xmax
T | umin
T | umax

## Detailed Description

### template<class T>
struct rheolef::bound_type< T >

Definition at line 42 of file field_seq_visu_gnuplot_internal.h.

## Constructor & Destructor Documentation

## bound_type()

bound_type | ( |  | ) |

Definition at line 47 of file field_seq_visu_gnuplot_internal.h.

## Member Function Documentation

## update()

void update | ( | const point_basic< T > & | x,
|  | const T & | u
| ) |  |

Definition at line 49 of file field_seq_visu_gnuplot_internal.h.

## Member Data Documentation

## xmin

point_basic<T> xmin

Definition at line 44 of file field_seq_visu_gnuplot_internal.h.

## xmax

point_basic<T> xmax

Definition at line 44 of file field_seq_visu_gnuplot_internal.h.

## umin

T umin

Definition at line 45 of file field_seq_visu_gnuplot_internal.h.

## umax

T umax

Definition at line 45 of file field_seq_visu_gnuplot_internal.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_seq_visu_gnuplot_internal.h